
const prefix = process.env.NODE_ENV === 'production' ? '' : ''

const Api = {
  MainSignIn: { // 登录
    method: 'post',
    url: `${prefix}/login`
  },
  GetUserPhone: { // 获取用户手机号
    method: 'post',
    url: `${prefix}/person/:personId/phone`
  },
  GetIndexBanner: { // 获取首页banner
    method: 'get',
    url: `${prefix}/advert`
  },
  GetPhotoList: { // 获取照片墙列表
    method: 'get',
    url: `${prefix}/activity`
  },
  GetActivityList: { // 获取活动列表
    method: 'get',
    url: `${prefix}/activity`
  },
  GetActivityDetail: { // 获取活动详情
    method: 'get',
    url: `${prefix}/activity/:id`
  },
  GetHuiQuanYiBanner: { // 获取荟权益banner
    method: 'get',
    url: `${prefix}/advert`
  },
  GetYeZhuZiXunList: { // 获取业主资讯列表
    method: 'get',
    url: `${prefix}/news`
  },
  GetHuiAiXinBanner: { // 获取荟爱心banner
    method: 'get',
    url: `${prefix}/advert`
  },
  GetMingXingYeZhuList: { // 获取明星业主列表
    method: 'get',
    url: `${prefix}/activity`
  },
  GetZhengNengLiangShiJiList: { // 获取正能量事迹列表
    method: 'get',
    url: `${prefix}/activity`
  },
  GetHuoDongNavList: { // 获取活动类型列表
    method: 'get',
    url: `${prefix}/activity`
  },
  GetUserActivityList: { // 获取我的活动列表
    method: 'get',
    url: `${prefix}/activity`
  }
}

export default Api
